using ApiB.EntityFrameworkCore;
using Volo.Abp.Autofac;
using Volo.Abp.BackgroundJobs;
using Volo.Abp.Modularity;

namespace ApiB.DbMigrator
{
    [DependsOn(
        typeof(AbpAutofacModule),
        typeof(ApiBEntityFrameworkCoreDbMigrationsModule),
        typeof(ApiBApplicationContractsModule)
        )]
    public class ApiBDbMigratorModule : AbpModule
    {
        public override void ConfigureServices(ServiceConfigurationContext context)
        {
            Configure<AbpBackgroundJobOptions>(options => options.IsJobExecutionEnabled = false);
        }
    }
}
